package cn.ibizlab.r7.runtime.core.r7rt_base.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;

/**
 * 实体[用户角色数据操作]
 */
public class UserRoleDataAction implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 用户角色数据操作标识
     */
    private String userRoleDataActionId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userRoleDataActionIdDirtyFlag;

    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateManDirtyFlag;

    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createManDirtyFlag;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateDateDirtyFlag;

    /**
     * 用户角色数据操作名称
     */
    private String userRoleDataActionName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userRoleDataActionNameDirtyFlag;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createDateDirtyFlag;

    /**
     * 是否启用
     */
    private Integer enable;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean enableDirtyFlag;

    /**
     * 数据对象能力名称
     */
    private String userRoleDataName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userRoleDataNameDirtyFlag;

    /**
     * 数据对象能力标识
     */
    private String userRoleDataId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userRoleDataIdDirtyFlag;


    /**
     * 获取 [用户角色数据操作标识]
     */
    @JsonProperty("userroledataactionid")
    @JSONField(name="userroledataactionid")
    public String getUserRoleDataActionId(){
        return this.userRoleDataActionId ;
    }

    /**
     * 设置 [用户角色数据操作标识]
     */
    @JsonProperty("userroledataactionid")
    @JSONField(name="userroledataactionid")
    public void setUserRoleDataActionId(String userRoleDataActionId){
        this.userRoleDataActionId = userRoleDataActionId ;
        this.userRoleDataActionIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色数据操作标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserRoleDataActionIdDirtyFlag(){
        return this.userRoleDataActionIdDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public void setUpdateMan(String updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public void setCreateMan(String createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public void setUpdateDate(Timestamp updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }
    /**
     * 获取 [用户角色数据操作名称]
     */
    @JsonProperty("userroledataactionname")
    @JSONField(name="userroledataactionname")
    public String getUserRoleDataActionName(){
        return this.userRoleDataActionName ;
    }

    /**
     * 设置 [用户角色数据操作名称]
     */
    @JsonProperty("userroledataactionname")
    @JSONField(name="userroledataactionname")
    public void setUserRoleDataActionName(String userRoleDataActionName){
        this.userRoleDataActionName = userRoleDataActionName ;
        this.userRoleDataActionNameDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色数据操作名称]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserRoleDataActionNameDirtyFlag(){
        return this.userRoleDataActionNameDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public void setCreateDate(Timestamp createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }
    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    @JSONField(name="enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    @JSONField(name="enable")
    public void setEnable(Integer enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }
    /**
     * 获取 [数据对象能力名称]
     */
    @JsonProperty("userroledataname")
    @JSONField(name="userroledataname")
    public String getUserRoleDataName(){
        return this.userRoleDataName ;
    }

    /**
     * 设置 [数据对象能力名称]
     */
    @JsonProperty("userroledataname")
    @JSONField(name="userroledataname")
    public void setUserRoleDataName(String userRoleDataName){
        this.userRoleDataName = userRoleDataName ;
        this.userRoleDataNameDirtyFlag = true ;
    }

    /**
     * 获取 [数据对象能力名称]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserRoleDataNameDirtyFlag(){
        return this.userRoleDataNameDirtyFlag ;
    }
    /**
     * 获取 [数据对象能力标识]
     */
    @JsonProperty("userroledataid")
    @JSONField(name="userroledataid")
    public String getUserRoleDataId(){
        return this.userRoleDataId ;
    }

    /**
     * 设置 [数据对象能力标识]
     */
    @JsonProperty("userroledataid")
    @JSONField(name="userroledataid")
    public void setUserRoleDataId(String userRoleDataId){
        this.userRoleDataId = userRoleDataId ;
        this.userRoleDataIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据对象能力标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserRoleDataIdDirtyFlag(){
        return this.userRoleDataIdDirtyFlag ;
    }

}

